Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230383 - emacspeak missing dep on emacs
Summary: emacspeak missing dep on emacs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: emacspeak
Version: 5.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Jens Petersen
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-28 18:09 UTC by Alexandre Oliva
Modified: 2013-04-12 19:03 UTC (History)
3 users (show)

Fixed In Version: RHBA-2007-0971
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-21 12:36:11 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0971 normal SHIPPED_LIVE emacspeak bug fix update 2007-11-21 12:36:09 UTC

Description Alexandre Oliva 2007-02-28 18:09:23 UTC
$ head /usr/bin/emacspeak
#!/bin/sh
# emacspeak - execute emacs with speech enhancements
$ tail -n 1 /usr/bin/emacspeak
exec emacs -q -l /usr/share/emacs/site-lisp/emacspeak/lisp/emacspeak-setup.el
$INITSTR $CL_ALL
$ rpm -q --requires emacspeak | grep emacs
$

emacspeak can't possibly work like this unless emacs is otherwise brought in.

Comment 5 Jens Petersen 2007-04-27 01:51:42 UTC
This just needs adding a requires.

Comment 12 Jens Petersen 2007-10-04 06:51:59 UTC
emacspeak-23.0-3.el5 has been built to address this.

* Thu Oct  4 2007 Jens Petersen <petersen@redhat.com> - 23.0-3.el5
- require emacs (#230383)

Comment 15 errata-xmlrpc 2007-11-21 12:36:11 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0971.html



Note You need to log in before you can comment on or make changes to this bug.